Quassel IRC - Bug #743

Setting "unlimited connect retries" not working
07/13/2009 02:21 PM - amiconn

Status: Resolved Start date: 07/13/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.4.3

Version: 0.5-pre 0S: Linux
Description

The per-network setting "unlimited connect retries" is not working. If it is set, the core still only performs the number of retries
specified in the input box to the left (which cannot be edited when "unlimited connect retries" is enabled).

Tested with a linux core, both 32 and 64 bit, using the sqlite db backend.

Associated revisions

Revision dee6c478632feeae5¢c845be82251117556ff1511 - 07/16/2009 12:08 AM - Manuel Nickschas

Properly handle unlimited IRC reconnection retries

Fixes #743. Also, do the first reconnect retry immediately after disconnect
even with unlimited retries enabled.

Revision dee6c478 - 07/16/2009 12:08 AM - Manuel Nickschas
Properly handle unlimited IRC reconnection retries

Fixes #743. Also, do the first reconnect retry immediately after disconnect
even with unlimited retries enabled.

Revision 08a3b942d11b6b6f5939e7c80e26c4abcde7c785 - 07/16/2009 12:10 AM - Manuel Nickschas
Properly handle unlimited IRC reconnection retries

Fixes #743. Also, do the first reconnect retry immediately after disconnect
even with unlimited retries enabled.

Revision 08a3b942 - 07/16/2009 12:10 AM - Manuel Nickschas

Properly handle unlimited IRC reconnection retries

Fixes #743. Also, do the first reconnect retry immediately after disconnect
even with unlimited retries enabled.

History

#1 - 07/15/2009 11:35 PM - Sputnick

- Category set to Quassel Core

- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.3

#2 - 07/16/2009 12:12 AM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset dee6c478632feeae5c845be82251117556ff1511.
